Subject: Re: [netatalk-admins] afp_openfork ????

From: chuck sumner <[email-masked]>
Date: Wed, 24 Nov 1999 09:53:02 -0800

What permissions should the .AppleDouble files have?

At 4:17 PM +0100 11/24/99, thomas.riewe wrote:
>  > Hi, sorry.
>>
>>  netatalk is running on a FreeBSD 3.3 release intel box
>>  clients are all macs from OS8 to OS9
>>
>>  Chuck
>>
>>  At 1:39 PM -0800 11/23/99, Harry Zink/Netatalk List wrote:
>>  >on 11/23/1999 10:27 AM, chuck sumner at [email-masked] wrote:
>>  >
>>  >>  So i un-installed netatalk 1.4.2b and reinstalled it with the asun
>>  >>  patches, now I'm getting a lot of these errors:
>>  >
>>  >What system/what OS?
>>  >
>>  >Harry
>>
>sorry for joining,
>but doesn't it just look like missing permissions for creating/writing
>(eventually reading) the .AppleDouble part which NetATalk uses to
>represent the data-fork of mac-file ?
>
>let me know,
>thomas

# Chuck Sumner
# Senior Staff Technologist
# Learn2.com
# 1.415.332.8502.x.420

---

From: Mitch McNeel <[email-masked]>
Date: Wed, 24 Nov 1999 12:20:22 -0800

I have the same question???  I'm receiving this:
afpd[28378]: afp_openfork: ad_open: Permission denied
afpd[28378]: afp_openfork: ad_open: Permission denied
last message repeated 4 times
last message repeated 4 times

in my /var/adm/messages file....  Any Ideas????  Is this the same as Chucks
problem??

I'm running Netatalk on Solaris 2.6 5/98 with latest patches on a UE-450
Clients are all macs running OS8.5

-MM

--
                     |||||
                   ((~) (~))
                    ( (_) )
                     { ~ }
                       V
-----------------oOO0-----0OOo-----------------------
Mitch McNeel                # Phone Ext. 6236
Unix Systems Administrator  # Phone Num. 619-552-6210
Maintenance Warehouse, Inc. # http://www.mwh.com
-----------------------------------------------------

---

From: Ron Chmara <[email-masked]>
Date: Thu, 25 Nov 1999 10:38:45 -0700

"Maroney, Patrick @ CSE" <[email-masked]>writes:
> re:  ZIP Reply and Linux atalkd in non-routing mode- Does anyone have any
> experience with this?
> I posted details a while back on a significant headache due to  this
> scenario.  The bottom line in our case was that the Linux device was not
> broadcasting RTMP yet was responding to ZIP queries with erroneous Zone
> information causing conflicts with the Default Zone.
> The second key point to summarize is that, given it's operation in "stealth
> rogue router" mode by not broadcasting RTMP packets, you can only reliably
> find the source of the erroneous ZIP data by capturing packets on the same
> switched segment as the rogue device.  Once the corrupted data gets to a
> legitimate router it is then propagated throughout the rest of the network.
> One caveat however: In that previous thread someone referenced a Hypercard
> utility that if memory serves correctly was developed and distributed by
> Kurt VanderSluis when he was with The Network Group.  In our case the ZIP
> generator piece of this utility probably could've been used by turning off
> all of the known Atalk Routers and then sending out ZIP broadcast queries.
> Had I known that there could be a device on the network seeding bad routing
> data that wasn't announcing itself by the tried and true method of
> broadcasting RTMP packets, I might have tried something like this.
> I did little more than disconnect the device once I actually figured out
> what was breaking our AppleTalk networks.
> If anyone has tracked down the root cause and/or has details on how to
> improve Linux behavior as an AppleTalk Netizen, I think a number of us might
> appreciate the details.  As a long term Mac fan I want to be fair and
> encourage any new technology that attempts to go against the grain.  Just
> not at the risk of loosing sleep and wasting time chasing ghosts...
> I think the point about things moving to IP is a good one, but as I found
> out in my recent chance to play AppleTalk Sherlock Holmes, it's not time to
> put that AppleTalk experience on the shelf just yet (you know, right there
> next to the DECnet experience...)

Well, there are sites running afp over ip, with _no_ appletalk involved..
but as far as making netatalk a good netizen, "truth-in-advertising-asun"
is working on various aspects of it right now. If you check the headers
of this email for the cc: list, there *are some mailing lists specifically
for netatalk*, where quite a few people _are_ using it in rather large,
unweildy, networks, without massive problems.

My solution to your *specific* problem, is about as technical as yours
(unplugging it). Rather than pulling the device off the LAN...well, let
me describe my most amusing atalk LAN-routing-ZIP nightmare to you:
2 Helios Ethershare atalk-routing boxes (DGUX and SunOS)
2 Xinet atalk-routing boxes
3 Netatalk+asun routing boxes

So that's 7 atalk routers...on a _flat_ network, with 67 nodes. :-)
Something of overkill, and when the implementations start arguing, it's
a real hoot. We occasionally setup "router wars", for fun, but I
guess that means I need to get out more....but I digress. Anyways,
my solution is to let _all_ the routers act in whatever mode they
prefer, broken or not, and use the same Zone name and numbering
scheme for each physical zone... this worked when it was a four
segment network, as well. I couldn't fix the code, but one I got
them all to agree on zone names and numbering, I didn't have to.

I still have the stray box that needs to have static atalk numbers
plugged in (for various reasons), but it hasn't been much of
an issue for me....anyways, enough rambling. 
 
See ya on the netatalk-admins mailing list!

HTH,
-Boppers